Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class StyleReference

    java.lang.Object
      org.apache.batik.bridge.StyleReference

public class StyleReference
extends java.lang.Object

A style reference represents a graphics node, CSS property pair. It describes which GraphicsNode and which property of this GraphicsNode should be updated when a style element (for example a filter) changes due to a modification of the DOM.

Constructor Summary
`StyleReference(GraphicsNode node, java.lang.String styleAttribute)` Creates a new `StyleReference`.

Method Summary
`GraphicsNode` | `getGraphicsNode()` Returns the graphics node.
`java.lang.String` | `getStyleAttribute()` Returns the style attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleReference

    public StyleReference(GraphicsNode node,
                          java.lang.String styleAttribute)

  Creates a new `StyleReference`.

Parameters:
  `node` - the graphics node impacted.
  `styleAttribute` - the name of the style attribute that is impacted.

Method Detail

### getGraphicsNode

    public GraphicsNode getGraphicsNode()

  Returns the graphics node.

### getStyleAttribute

    public java.lang.String getStyleAttribute()

  Returns the style attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.